import request from '@/config/axios'

// 获取规则配置跟踪列表
export const getRewardEventTrackList = async () => {
  return await request.get({
    url: '/admin-api/menduner/reward/event-track/list'
  })
}

// 点击
export const rewardEventTrackClick = async (url) => {
  return await request.post({
    url: `/admin-api/menduner/reward/event-track/click?url=${url}`
  })
}

// 获取用户积分数
// export const getUserRewardPoint = async () => {
//   return await request.get({
//     url: '/app-api/menduner/reward/user-point/get'
//   })
// }

// 获取用户积分明细
export const getUserRewardPointPage = async (params) => {
  return await request.get({
    url: `/app-api/menduner/system/user/account/record/page`,
    params
  })
}